//
// $Id: DbError.h,v 1.4 2000/06/10 00:20:03 sergey Exp $
//

#ifndef _DbError_h_
#define _DbError_h_


namespace DB
{
    //
    // Error class used to report DB library errors.
    //
    class DbError
    {
    private:
        DbError() {}
        ~DbError() {}

    public:
        static void openError(const char* file, int line, const char* databaseName, int error);
        static void closeError(const char* file, int line, int error);
        static void readAppInfoError(const char* file, int line, int error);
        static void readRecordError(const char* file, int line, int error);
        static void getRecordInfoError(const char* file, int line, int error);
    };
}

#endif _DbError_h_
